Subject: Re: bug#21994: Possible calendar mode bug

From: Glenn Morris <[email-masked]>
Date: Tue, 08 Dec 2015 14:15:38 -0500

jan wrote:

> It certainly used to. I *could* reproduce this problem in 22 (22.1 I
> think) so it may have been 20 or even 19 that worked but I did used to
> do this.

cal-html was only added in Emacs 22, so I suspect your recollection is faulty.

>>>> M-x diary <RET>
>>>>
>>>> *messages* says:
>>>>
>>>> Preparing diary...
>>>> diary-list-entries: Wrong type argument: stringp, nil
>>
>> I can't reproduce any such issue with
>>
>> rm -rf /tmp/foo
>> mkdir /tmp/foo
>> HOME=/tmp/foo emacs-24.5
>
> My prior email which you may not have got gave this as running on windows.

I know. I am demonstrating that with no .emacs file and no diary file, I
cannot reproduce your problem. So it's probably due to some customization.

Please give a minimal complete example starting from emacs -Q (I don't
know how you do this on MS Windows) that shows the problem with M-x diary.

It may also help to do M-x toggle-debug-on-error and include the
resulting backtrace.